// Demo NIOSII 03-2011
// Christian Dupaty
// ce programme fonctionne sur carte DE2, il recopie les switchs 0  7 sur les LEDs 0  7
// il envoie sur l'UART le nombre prsent sur les switchs (necessite un emulateur de terminal)
// l'utilisation de la bibliotheque alt_stdio.h rduit la taille programme
// rq : alt_printf ne supporte que les formats %s, %x , %c

#include "sys/alt_stdio.h"
#include "system.h"
#include "altera_avalon_pio_regs.h"

#define SW0 1
#define SW1 2

int main()
{
unsigned char in;
unsigned char out=4;

      while (1){
			in=IORD_ALTERA_AVALON_PIO_DATA(ENTREES_BASE);
			if (in & SW0)
			{
				IOWR_ALTERA_AVALON_PIO_DATA(SORTIES_BASE, out<<=1);
				if (out==0) out=1;
			}
			else
			{
				IOWR_ALTERA_AVALON_PIO_DATA(SORTIES_BASE, out>>=1);
				if (out==0) out=0x80;
			}
            if (in & SW1) usleep(100000);
            else usleep(500000);
				}
}
