// Demo NIOSII 03-2011
// Christian Dupaty
// ce programme fonctionne sur carte DE2, il recopie les switchs 0  7 sur les LEDs 0  7
// il envoie sur l'UART le nombre prsent sur les switchs (necessite un emulateur de terminal)
// l'utilisation de la bibliotheque alt_stdio.h rduit la taille programme
// rq : alt_printf ne supporte que les formats %s, %x , %c

#include "sys/alt_stdio.h"
#include "system.h"
#include "altera_avalon_pio_regs.h"

int main()
{
unsigned char entrees;

      alt_putstr("Bonjour... \n\r");

      while (1){
			entrees=IORD_ALTERA_AVALON_PIO_DATA(ENTREES_BASE); // recopie switchs sur leds
            IOWR_ALTERA_AVALON_PIO_DATA(SORTIES_BASE, entrees);

            usleep(500000); // tempo

		    alt_printf(" Entrees = : %x \n\r",entrees); // envoie le nb present sur les switchs vers UART
            bcl++;
				}
}
